Compare commits
50 commits
stream-pos
...
rawhide
| Author | SHA1 | Date | |
|---|---|---|---|
|
|
ace31f6aa0 | ||
|
|
4f9cf9e4fa | ||
|
|
efc0e9a401 | ||
|
|
38488413a7 | ||
|
|
5687a6828e | ||
|
|
9fcf3c0030 | ||
|
|
266c646e51 | ||
|
|
ff838b3058 | ||
|
|
e98e1d2454 | ||
|
|
e52f462d6f | ||
|
|
1e3a712a3a | ||
|
|
7831b20fe3 | ||
|
|
e7a8590fe3 | ||
|
|
cf1cdcbd24 | ||
|
|
629dad7480 | ||
|
|
ffe73c3696 | ||
|
|
29681bd04e | ||
|
|
c1b623a71b | ||
|
|
d5a1f3d83e | ||
|
|
64accdf4cc | ||
|
|
a330d64407 | ||
|
|
8e9e8cefd7 | ||
|
|
2c45de9a6a | ||
|
|
e791651d70 | ||
|
|
5f5880a2f0 | ||
|
|
7347ef7236 | ||
|
|
df9afe2460 | ||
|
|
844bc3732a | ||
|
|
9f5cabe90a | ||
|
|
9e2dc02b5e | ||
|
|
8f11782e8d | ||
|
|
78ec08d1d7 | ||
|
|
45b078a9b6 | ||
|
|
4ddf12894f | ||
|
|
10a80637a9 | ||
|
|
3d219860ec | ||
|
|
69b48eab92 | ||
|
|
61ac07a3c9 | ||
|
|
0af3abaff4 | ||
|
|
7d81dca0ea | ||
|
|
15eca5b3ef | ||
|
|
f0c73b0e13 | ||
|
|
521b77b679 | ||
|
|
a29cad1886 | ||
|
|
edeb3b9559 | ||
|
|
18bf476fec | ||
|
|
8e8be4ac48 | ||
|
|
8104608e57 | ||
|
|
2cc12a508a | ||
|
|
6d90478bbc |
9 changed files with 332 additions and 140 deletions
1
.fmf/version
Normal file
1
.fmf/version
Normal file
|
|
@ -0,0 +1 @@
|
||||||
|
1
|
||||||
1
.gitignore
vendored
Normal file → Executable file
1
.gitignore
vendored
Normal file → Executable file
|
|
@ -1 +1,2 @@
|
||||||
/postgresql-*.tar.bz2*
|
/postgresql-*.tar.bz2*
|
||||||
|
/rpms
|
||||||
|
|
|
||||||
12
ci.fmf
Normal file
12
ci.fmf
Normal file
|
|
@ -0,0 +1,12 @@
|
||||||
|
/test:
|
||||||
|
summary:
|
||||||
|
Basic set of quick tests for libpq. Since libpq is client library and
|
||||||
|
part of postgresql. Postgresql testsuite is used.
|
||||||
|
discover:
|
||||||
|
- name: fedora
|
||||||
|
how: fmf
|
||||||
|
url: "https://src.fedoraproject.org/tests/postgresql.git"
|
||||||
|
ref: main
|
||||||
|
filter: tag:libpq
|
||||||
|
execute:
|
||||||
|
how: tmt
|
||||||
|
|
@ -7,11 +7,11 @@ directory whose path happens to include "postgres" or "pgsql" already.
|
||||||
However, datadir and sysconfdir are already set up in the specfile's
|
However, datadir and sysconfdir are already set up in the specfile's
|
||||||
configure call, so we do not have to append anything to them.
|
configure call, so we do not have to append anything to them.
|
||||||
|
|
||||||
|
diff --git a/src/Makefile.global.in b/src/Makefile.global.in
|
||||||
diff -Naur postgresql-9.0.1.orig/src/Makefile.global.in postgresql-9.0.1/src/Makefile.global.in
|
index 9a6265b3a0..c9371a07c4 100644
|
||||||
--- postgresql-9.0.1.orig/src/Makefile.global.in 2010-10-01 10:25:44.000000000 -0400
|
--- a/src/Makefile.global.in
|
||||||
+++ postgresql-9.0.1/src/Makefile.global.in 2010-10-11 11:52:05.224975308 -0400
|
+++ b/src/Makefile.global.in
|
||||||
@@ -55,8 +55,7 @@
|
@@ -82,8 +82,7 @@ vpathsearch = `for f in $(addsuffix /$(1),$(subst :, ,. $(VPATH))); do test -r $
|
||||||
# Installation directories
|
# Installation directories
|
||||||
#
|
#
|
||||||
# These are set by the equivalent --xxxdir configure options. We
|
# These are set by the equivalent --xxxdir configure options. We
|
||||||
|
|
@ -21,7 +21,7 @@ diff -Naur postgresql-9.0.1.orig/src/Makefile.global.in postgresql-9.0.1/src/Mak
|
||||||
#
|
#
|
||||||
# In a PGXS build, we cannot use the values inserted into Makefile.global
|
# In a PGXS build, we cannot use the values inserted into Makefile.global
|
||||||
# by configure, since the installation tree may have been relocated.
|
# by configure, since the installation tree may have been relocated.
|
||||||
@@ -74,45 +73,23 @@
|
@@ -111,45 +110,23 @@ datarootdir := @datarootdir@
|
||||||
bindir := @bindir@
|
bindir := @bindir@
|
||||||
|
|
||||||
datadir := @datadir@
|
datadir := @datadir@
|
||||||
|
|
|
||||||
|
|
@ -1,3 +1,4 @@
|
||||||
|
|
||||||
Change the built-in default socket directory to be /var/run/postgresql.
|
Change the built-in default socket directory to be /var/run/postgresql.
|
||||||
For backwards compatibility with (probably non-libpq-based) clients that
|
For backwards compatibility with (probably non-libpq-based) clients that
|
||||||
might still expect to find the socket in /tmp, also create a socket in
|
might still expect to find the socket in /tmp, also create a socket in
|
||||||
|
|
@ -12,42 +13,39 @@ server package update, without requiring any existing postgresql.conf
|
||||||
to be updated. (Of course, a user who dislikes this behavior can still
|
to be updated. (Of course, a user who dislikes this behavior can still
|
||||||
override it via postgresql.conf.)
|
override it via postgresql.conf.)
|
||||||
|
|
||||||
diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
|
diff -ur postgresql-16.1/src/backend/utils/misc/guc_tables.c pg_patched/src/backend/utils/misc/guc_tables.c
|
||||||
index 9481f2d..75532c7 100644
|
--- postgresql-16.1/src/backend/utils/misc/guc_tables.c 2023-11-06 23:04:27.000000000 +0100
|
||||||
--- a/src/backend/utils/misc/guc.c
|
+++ pg_patched/src/backend/utils/misc/guc_tables.c 2023-12-05 12:02:46.000000000 +0100
|
||||||
+++ b/src/backend/utils/misc/guc.c
|
@@ -4648,7 +4648,7 @@
|
||||||
@@ -3196,7 +3196,7 @@ static struct config_string ConfigureNamesString[] =
|
GUC_LIST_INPUT | GUC_LIST_QUOTE | GUC_SUPERUSER_ONLY
|
||||||
},
|
},
|
||||||
&Unix_socket_directories,
|
&Unix_socket_directories,
|
||||||
#ifdef HAVE_UNIX_SOCKETS
|
|
||||||
- DEFAULT_PGSOCKET_DIR,
|
- DEFAULT_PGSOCKET_DIR,
|
||||||
+ DEFAULT_PGSOCKET_DIR ", /tmp",
|
+ DEFAULT_PGSOCKET_DIR ", /tmp",
|
||||||
#else
|
NULL, NULL, NULL
|
||||||
"",
|
},
|
||||||
#endif
|
|
||||||
diff --git a/src/bin/initdb/initdb.c b/src/bin/initdb/initdb.c
|
diff -ur postgresql-16.1/src/bin/initdb/initdb.c pg_patched/src/bin/initdb/initdb.c
|
||||||
index feeff9e..3e3d784 100644
|
--- postgresql-16.1/src/bin/initdb/initdb.c 2023-11-06 23:04:27.000000000 +0100
|
||||||
--- a/src/bin/initdb/initdb.c
|
+++ pg_patched/src/bin/initdb/initdb.c 2023-12-05 12:04:19.000000000 +0100
|
||||||
+++ b/src/bin/initdb/initdb.c
|
@@ -1368,7 +1368,7 @@
|
||||||
@@ -1234,7 +1234,7 @@ setup_config(void)
|
* these are indeed defaults, keep the postgresql.conf lines commented.
|
||||||
|
*/
|
||||||
#ifdef HAVE_UNIX_SOCKETS
|
conflines = replace_guc_value(conflines, "unix_socket_directories",
|
||||||
snprintf(repltok, sizeof(repltok), "#unix_socket_directories = '%s'",
|
- DEFAULT_PGSOCKET_DIR, true);
|
||||||
- DEFAULT_PGSOCKET_DIR);
|
+ DEFAULT_PGSOCKET_DIR ", /tmp", true);
|
||||||
+ DEFAULT_PGSOCKET_DIR ", /tmp");
|
|
||||||
#else
|
conflines = replace_guc_value(conflines, "port",
|
||||||
snprintf(repltok, sizeof(repltok), "#unix_socket_directories = ''");
|
DEF_PGPORT_STR, true);
|
||||||
#endif
|
diff -ur postgresql-16.1/src/include/pg_config_manual.h pg_patched/src/include/pg_config_manual.h
|
||||||
diff --git a/src/include/pg_config_manual.h b/src/include/pg_config_manual.h
|
--- postgresql-16.1/src/include/pg_config_manual.h 2023-11-06 23:04:27.000000000 +0100
|
||||||
index e278fa0..9ee15d4 100644
|
+++ pg_patched/src/include/pg_config_manual.h 2023-12-05 11:45:20.000000000 +0100
|
||||||
--- a/src/include/pg_config_manual.h
|
@@ -190,7 +190,7 @@
|
||||||
+++ b/src/include/pg_config_manual.h
|
* support them yet.
|
||||||
@@ -169,7 +169,7 @@
|
|
||||||
* here's where to twiddle it. You can also override this at runtime
|
|
||||||
* with the postmaster's -k switch.
|
|
||||||
*/
|
*/
|
||||||
|
#ifndef WIN32
|
||||||
-#define DEFAULT_PGSOCKET_DIR "/tmp"
|
-#define DEFAULT_PGSOCKET_DIR "/tmp"
|
||||||
+#define DEFAULT_PGSOCKET_DIR "/var/run/postgresql"
|
+#define DEFAULT_PGSOCKET_DIR "/var/run/postgresql"
|
||||||
|
#else
|
||||||
/*
|
#define DEFAULT_PGSOCKET_DIR ""
|
||||||
* This is the default event source for Windows event log.
|
#endif
|
||||||
|
|
|
||||||
|
|
@ -1,89 +0,0 @@
|
||||||
The libpq package is supposed to be used for all the PostgreSQL modules
|
|
||||||
available in RHEL 8, and ABI versioning will guarantee us that modular RPMs will
|
|
||||||
depend on appropriate libpq ABI version (picked at build-time).
|
|
||||||
|
|
||||||
diff --git a/config/Makefile b/config/Makefile
|
|
||||||
index 67e7998f55..86612a42c3 100644
|
|
||||||
--- a/config/Makefile
|
|
||||||
+++ b/config/Makefile
|
|
||||||
@@ -8,6 +8,7 @@ include $(top_builddir)/src/Makefile.global
|
|
||||||
install: all installdirs
|
|
||||||
$(INSTALL_SCRIPT) $(srcdir)/install-sh '$(DESTDIR)$(pgxsdir)/config/install-sh'
|
|
||||||
$(INSTALL_SCRIPT) $(srcdir)/missing '$(DESTDIR)$(pgxsdir)/config/missing'
|
|
||||||
+ $(INSTALL_SCRIPT) $(srcdir)/build-exports-gnu-ld '$(DESTDIR)$(pgxsdir)/config/build-exports-gnu-ld'
|
|
||||||
|
|
||||||
installdirs:
|
|
||||||
$(MKDIR_P) '$(DESTDIR)$(pgxsdir)/config'
|
|
||||||
diff --git a/config/build-exports-gnu-ld b/config/build-exports-gnu-ld
|
|
||||||
new file mode 100755
|
|
||||||
index 0000000000..bdcfb40d48
|
|
||||||
--- /dev/null
|
|
||||||
+++ b/config/build-exports-gnu-ld
|
|
||||||
@@ -0,0 +1,41 @@
|
|
||||||
+#! /bin/sh
|
|
||||||
+
|
|
||||||
+# by default use PG_ prefix
|
|
||||||
+: "${SYMBOL_VERSION_PREFIX=PG_}"
|
|
||||||
+
|
|
||||||
+# we started symbol versioning since v10
|
|
||||||
+: "${SYMBOL_VERSION_START=9.6}"
|
|
||||||
+
|
|
||||||
+version=$SYMBOL_VERSION_START
|
|
||||||
+version_prev=
|
|
||||||
+first=:
|
|
||||||
+
|
|
||||||
+open_block ()
|
|
||||||
+{
|
|
||||||
+ $first || echo
|
|
||||||
+ first=false
|
|
||||||
+ echo "${SYMBOL_VERSION_PREFIX}$version {"
|
|
||||||
+ echo "global:"
|
|
||||||
+}
|
|
||||||
+
|
|
||||||
+close_block ()
|
|
||||||
+{
|
|
||||||
+ echo "}${version_prev:+ $SYMBOL_VERSION_PREFIX$version_prev};"
|
|
||||||
+ version_prev=$version
|
|
||||||
+ version=$1
|
|
||||||
+}
|
|
||||||
+
|
|
||||||
+open_block
|
|
||||||
+while read -r symbol _ new_version
|
|
||||||
+do
|
|
||||||
+ case $symbol in '#'*) continue ;; esac
|
|
||||||
+ if test -n "$new_version" && test "$new_version" != "$version"; then
|
|
||||||
+ close_block "$new_version"
|
|
||||||
+ open_block
|
|
||||||
+ fi
|
|
||||||
+ echo " $symbol;"
|
|
||||||
+done
|
|
||||||
+
|
|
||||||
+echo "local:"
|
|
||||||
+echo " *;"
|
|
||||||
+close_block
|
|
||||||
diff --git a/src/Makefile.shlib b/src/Makefile.shlib
|
|
||||||
index 95b82a6dea..a7065d02a4 100644
|
|
||||||
--- a/src/Makefile.shlib
|
|
||||||
+++ b/src/Makefile.shlib
|
|
||||||
@@ -221,7 +221,7 @@ ifeq ($(PORTNAME), linux)
|
|
||||||
ifdef soname
|
|
||||||
LINK.shared += -Wl,-soname,$(soname)
|
|
||||||
endif
|
|
||||||
- BUILD.exports = ( echo '{ global:'; $(AWK) '/^[^\#]/ {printf "%s;\n",$$1}' $<; echo ' local: *; };' ) >$@
|
|
||||||
+ BUILD.exports = $(SHELL) $(top_srcdir)/config/build-exports-gnu-ld < $< > $@
|
|
||||||
exports_file = $(SHLIB_EXPORTS:%.txt=%.list)
|
|
||||||
ifneq (,$(exports_file))
|
|
||||||
LINK.shared += -Wl,--version-script=$(exports_file)
|
|
||||||
diff --git a/src/interfaces/libpq/exports.txt b/src/interfaces/libpq/exports.txt
|
|
||||||
index d6a38d0df8..29bebeac7e 100644
|
|
||||||
--- a/src/interfaces/libpq/exports.txt
|
|
||||||
+++ b/src/interfaces/libpq/exports.txt
|
|
||||||
@@ -171,4 +171,4 @@ PQsslAttributeNames 168
|
|
||||||
PQsslAttribute 169
|
|
||||||
PQsetErrorContextVisibility 170
|
|
||||||
PQresultVerboseErrorMessage 171
|
|
||||||
-PQencryptPasswordConn 172
|
|
||||||
+PQencryptPasswordConn 172 10
|
|
||||||
--
|
|
||||||
2.17.0
|
|
||||||
|
|
||||||
111
libpq-12.1-symbol-versioning.patch
Normal file
111
libpq-12.1-symbol-versioning.patch
Normal file
|
|
@ -0,0 +1,111 @@
|
||||||
|
commit 75040c3388d9a7dd5ad2bee53cbcc8bf3d35cd17
|
||||||
|
Author: Honza Horak <hhorak@redhat.com>
|
||||||
|
Date: Fri Oct 30 20:16:50 2020 +0100
|
||||||
|
|
||||||
|
The libpq package is supposed to be used for all the PostgreSQL modules
|
||||||
|
available in RHEL 8, and ABI versioning will guarantee us that modular RPMs will
|
||||||
|
depend on appropriate libpq ABI version (picked at build-time).
|
||||||
|
|
||||||
|
diff -ur postgresql-16.1/config/Makefile postgresql_patched/config/Makefile
|
||||||
|
--- postgresql-16.1/config/Makefile 2023-11-06 23:04:27.000000000 +0100
|
||||||
|
+++ postgresql_patched/config/Makefile 2023-12-05 10:43:19.733619095 +0100
|
||||||
|
@@ -8,6 +8,7 @@
|
||||||
|
install: all installdirs
|
||||||
|
$(INSTALL_SCRIPT) $(srcdir)/install-sh '$(DESTDIR)$(pgxsdir)/config/install-sh'
|
||||||
|
$(INSTALL_SCRIPT) $(srcdir)/missing '$(DESTDIR)$(pgxsdir)/config/missing'
|
||||||
|
+ $(INSTALL_SCRIPT) $(srcdir)/build-exports-gnu-ld '$(DESTDIR)$(pgxsdir)/config/build-exports-gnu-ld'
|
||||||
|
|
||||||
|
installdirs:
|
||||||
|
$(MKDIR_P) '$(DESTDIR)$(pgxsdir)/config'
|
||||||
|
diff -ur postgresql-16.1/src/interfaces/libpq/exports.txt postgresql_patched/src/interfaces/libpq/exports.txt
|
||||||
|
--- postgresql-16.1/src/interfaces/libpq/exports.txt 2023-11-06 23:04:27.000000000 +0100
|
||||||
|
+++ postgresql_patched/src/interfaces/libpq/exports.txt 2023-12-05 10:48:24.627604638 +0100
|
||||||
|
@@ -171,23 +171,23 @@
|
||||||
|
PQsslAttribute 169
|
||||||
|
PQsetErrorContextVisibility 170
|
||||||
|
PQresultVerboseErrorMessage 171
|
||||||
|
-PQencryptPasswordConn 172
|
||||||
|
-PQresultMemorySize 173
|
||||||
|
+PQencryptPasswordConn 172 10
|
||||||
|
+PQresultMemorySize 173 12
|
||||||
|
PQhostaddr 174
|
||||||
|
PQgssEncInUse 175
|
||||||
|
PQgetgssctx 176
|
||||||
|
-PQsetSSLKeyPassHook_OpenSSL 177
|
||||||
|
+PQsetSSLKeyPassHook_OpenSSL 177 13
|
||||||
|
PQgetSSLKeyPassHook_OpenSSL 178
|
||||||
|
PQdefaultSSLKeyPassHook_OpenSSL 179
|
||||||
|
-PQenterPipelineMode 180
|
||||||
|
+PQenterPipelineMode 180 14
|
||||||
|
PQexitPipelineMode 181
|
||||||
|
PQpipelineSync 182
|
||||||
|
PQpipelineStatus 183
|
||||||
|
PQsetTraceFlags 184
|
||||||
|
PQmblenBounded 185
|
||||||
|
PQsendFlushRequest 186
|
||||||
|
-PQconnectionUsedGSSAPI 187
|
||||||
|
-PQclosePrepared 188
|
||||||
|
+PQconnectionUsedGSSAPI 187 16
|
||||||
|
+PQclosePrepared 188 18
|
||||||
|
PQclosePortal 189
|
||||||
|
PQsendClosePrepared 190
|
||||||
|
PQsendClosePortal 191
|
||||||
|
diff -ur postgresql-16.1/src/Makefile.shlib postgresql_patched/src/Makefile.shlib
|
||||||
|
--- postgresql-16.1/src/Makefile.shlib 2023-11-06 23:04:27.000000000 +0100
|
||||||
|
+++ postgresql_patched/src/Makefile.shlib 2023-12-05 10:43:19.739634021 +0100
|
||||||
|
@@ -176,7 +176,7 @@
|
||||||
|
endif
|
||||||
|
LINK.shared += -Wl,-soname,$(soname)
|
||||||
|
endif
|
||||||
|
- BUILD.exports = ( echo '{ global:'; $(AWK) '/^[^\#]/ {printf "%s;\n",$$1}' $<; echo ' local: *; };' ) >$@
|
||||||
|
+ BUILD.exports = $(SHELL) $(top_srcdir)/config/build-exports-gnu-ld < $< > $@
|
||||||
|
exports_file = $(SHLIB_EXPORTS:%.txt=%.list)
|
||||||
|
ifneq (,$(exports_file))
|
||||||
|
LINK.shared += -Wl,--version-script=$(exports_file)
|
||||||
|
diff --git a/config/build-exports-gnu-ld b/config/build-exports-gnu-ld
|
||||||
|
new file mode 100755
|
||||||
|
index 0000000000..84c48e3ade
|
||||||
|
--- /dev/null
|
||||||
|
+++ b/config/build-exports-gnu-ld
|
||||||
|
@@ -0,0 +1,41 @@
|
||||||
|
+#! /bin/sh
|
||||||
|
+
|
||||||
|
+# by default use PG_ prefix
|
||||||
|
+: "${SYMBOL_VERSION_PREFIX=PG_}"
|
||||||
|
+
|
||||||
|
+# we started symbol versioning since v10
|
||||||
|
+: "${SYMBOL_VERSION_START=9.6}"
|
||||||
|
+
|
||||||
|
+version=$SYMBOL_VERSION_START
|
||||||
|
+version_prev=
|
||||||
|
+first=:
|
||||||
|
+
|
||||||
|
+open_block ()
|
||||||
|
+{
|
||||||
|
+ $first || echo
|
||||||
|
+ first=false
|
||||||
|
+ echo "${SYMBOL_VERSION_PREFIX}$version {"
|
||||||
|
+ echo "global:"
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+close_block ()
|
||||||
|
+{
|
||||||
|
+ echo "}${version_prev:+ $SYMBOL_VERSION_PREFIX$version_prev};"
|
||||||
|
+ version_prev=$version
|
||||||
|
+ version=$1
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+open_block
|
||||||
|
+while read -r symbol _ new_version
|
||||||
|
+do
|
||||||
|
+ case $symbol in '#'*) continue ;; esac
|
||||||
|
+ if test -n "$new_version" && test "$new_version" != "$version"; then
|
||||||
|
+ close_block "$new_version"
|
||||||
|
+ open_block
|
||||||
|
+ fi
|
||||||
|
+ echo " $symbol;"
|
||||||
|
+done
|
||||||
|
+
|
||||||
|
+echo "local:"
|
||||||
|
+echo " *;"
|
||||||
|
+close_block
|
||||||
180
libpq.spec
180
libpq.spec
|
|
@ -1,22 +1,27 @@
|
||||||
%global majorversion 11
|
%global majorversion 18
|
||||||
%global obsoletes_version %( echo $(( %majorversion + 1 )) )
|
%global obsoletes_version %( echo $(( %majorversion + 1 )) )
|
||||||
|
%global betaversion 18beta1
|
||||||
|
|
||||||
Summary: PostgreSQL client library
|
Summary: PostgreSQL client library
|
||||||
Name: libpq
|
Name: libpq
|
||||||
Version: %majorversion.3
|
Version: %{majorversion}.0
|
||||||
Release: 2%{?dist}
|
Release: 3%{?dist}
|
||||||
|
|
||||||
License: PostgreSQL
|
License: PostgreSQL
|
||||||
Url: http://www.postgresql.org/
|
Url: http://www.postgresql.org/
|
||||||
|
|
||||||
Source0: https://ftp.postgresql.org/pub/source/v%version/postgresql-%version.tar.bz2
|
# Use this when 18.0 is released
|
||||||
Source1: https://ftp.postgresql.org/pub/source/v%version/postgresql-%version.tar.bz2.sha256
|
# Source0: https://ftp.postgresql.org/pub/source/v%%{version}/postgresql-%%{version}.tar.bz2
|
||||||
|
# Source1: https://ftp.postgresql.org/pub/source/v%%{version}/postgresql-%%{version}.tar.bz2.sha256
|
||||||
|
|
||||||
|
Source0: https://ftp.postgresql.org/pub/source/v%{betaversion}/postgresql-%{betaversion}.tar.bz2
|
||||||
|
Source1: https://ftp.postgresql.org/pub/source/v%{betaversion}/postgresql-%{betaversion}.tar.bz2.sha256
|
||||||
|
|
||||||
|
|
||||||
# Comments for these patches are in the patch files.
|
# Comments for these patches are in the patch files.
|
||||||
Patch1: libpq-10.3-rpm-pgsql.patch
|
Patch1: libpq-10.3-rpm-pgsql.patch
|
||||||
Patch2: libpq-10.3-var-run-socket.patch
|
Patch2: libpq-10.3-var-run-socket.patch
|
||||||
Patch3: libpq-10.4-symbol-versioning.patch
|
Patch3: libpq-12.1-symbol-versioning.patch
|
||||||
|
|
||||||
BuildRequires: gcc
|
BuildRequires: gcc
|
||||||
BuildRequires: glibc-devel bison flex gawk
|
BuildRequires: glibc-devel bison flex gawk
|
||||||
|
|
@ -26,6 +31,9 @@ BuildRequires: krb5-devel
|
||||||
BuildRequires: openldap-devel
|
BuildRequires: openldap-devel
|
||||||
BuildRequires: gettext
|
BuildRequires: gettext
|
||||||
BuildRequires: multilib-rpm-config
|
BuildRequires: multilib-rpm-config
|
||||||
|
BuildRequires: make
|
||||||
|
BuildRequires: libicu-devel
|
||||||
|
BuildRequires: perl
|
||||||
|
|
||||||
Obsoletes: postgresql-libs < %obsoletes_version
|
Obsoletes: postgresql-libs < %obsoletes_version
|
||||||
Provides: postgresql-libs = %version-%release
|
Provides: postgresql-libs = %version-%release
|
||||||
|
|
@ -56,7 +64,7 @@ package or any clients that need to connect to a PostgreSQL server.
|
||||||
|
|
||||||
%prep
|
%prep
|
||||||
( cd "$(dirname "%SOURCE1")" ; sha256sum -c "%SOURCE1" )
|
( cd "$(dirname "%SOURCE1")" ; sha256sum -c "%SOURCE1" )
|
||||||
%autosetup -n postgresql-%version -p1
|
%autosetup -n postgresql-%{betaversion} -p1
|
||||||
|
|
||||||
# remove .gitignore files to ensure none get into the RPMs (bug #642210)
|
# remove .gitignore files to ensure none get into the RPMs (bug #642210)
|
||||||
find . -type f -name .gitignore | xargs rm
|
find . -type f -name .gitignore | xargs rm
|
||||||
|
|
@ -66,6 +74,7 @@ find . -type f -name .gitignore | xargs rm
|
||||||
# complements symbol-versioning patch
|
# complements symbol-versioning patch
|
||||||
export SYMBOL_VERSION_PREFIX=RHPG_
|
export SYMBOL_VERSION_PREFIX=RHPG_
|
||||||
|
|
||||||
|
export CFLAGS="$CFLAGS -DOPENSSL_NO_ENGINE -std=c17"
|
||||||
# We don't build server nor client (e.g. /bin/psql) binaries in this package, so
|
# We don't build server nor client (e.g. /bin/psql) binaries in this package, so
|
||||||
# we can disable some configure options.
|
# we can disable some configure options.
|
||||||
%configure \
|
%configure \
|
||||||
|
|
@ -78,9 +87,11 @@ export SYMBOL_VERSION_PREFIX=RHPG_
|
||||||
--datadir=%_datadir/pgsql
|
--datadir=%_datadir/pgsql
|
||||||
|
|
||||||
%global build_subdirs \\\
|
%global build_subdirs \\\
|
||||||
|
src/include \\\
|
||||||
|
src/common \\\
|
||||||
|
src/port \\\
|
||||||
src/interfaces/libpq \\\
|
src/interfaces/libpq \\\
|
||||||
src/bin/pg_config \\\
|
src/bin/pg_config
|
||||||
src/include
|
|
||||||
|
|
||||||
for subdir in %build_subdirs; do
|
for subdir in %build_subdirs; do
|
||||||
%make_build -C "$subdir"
|
%make_build -C "$subdir"
|
||||||
|
|
@ -94,10 +105,17 @@ done
|
||||||
|
|
||||||
# remove files not to be packaged
|
# remove files not to be packaged
|
||||||
find $RPM_BUILD_ROOT -name '*.a' -delete
|
find $RPM_BUILD_ROOT -name '*.a' -delete
|
||||||
|
# preserve just errcodes.h
|
||||||
|
mv $RPM_BUILD_ROOT%{_includedir}/pgsql/server/utils/errcodes.h \
|
||||||
|
$RPM_BUILD_ROOT%{_includedir}/pgsql
|
||||||
rm -r $RPM_BUILD_ROOT%_includedir/pgsql/server
|
rm -r $RPM_BUILD_ROOT%_includedir/pgsql/server
|
||||||
|
mkdir -p $RPM_BUILD_ROOT%{_includedir}/pgsql/server/utils
|
||||||
|
mv $RPM_BUILD_ROOT%{_includedir}/pgsql/errcodes.h \
|
||||||
|
$RPM_BUILD_ROOT%{_includedir}/pgsql/server/utils
|
||||||
|
rm $RPM_BUILD_ROOT%_datadir/pgsql/postgres.bki
|
||||||
|
rm $RPM_BUILD_ROOT%_datadir/pgsql/system_constraints.sql
|
||||||
|
|
||||||
%multilib_fix_c_header --file "%_includedir/pg_config.h"
|
%multilib_fix_c_header --file "%_includedir/pg_config.h"
|
||||||
%multilib_fix_c_header --file "%_includedir/pg_config_ext.h"
|
|
||||||
|
|
||||||
find_lang_bins ()
|
find_lang_bins ()
|
||||||
{
|
{
|
||||||
|
|
@ -126,8 +144,148 @@ find_lang_bins %name-devel.lst pg_config
|
||||||
%_libdir/libpq.so
|
%_libdir/libpq.so
|
||||||
%_libdir/pkgconfig/libpq.pc
|
%_libdir/pkgconfig/libpq.pc
|
||||||
|
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Wed Sep 17 2025 Filip Janus <fjanus@redhat.com> - 18.0-3
|
||||||
|
- Removes server based files
|
||||||
|
|
||||||
|
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 18.0-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild
|
||||||
|
|
||||||
|
* Mon Jun 09 2025 Nikola Davidova <ndavidov@redhat.com> - 18.0-1
|
||||||
|
- Rebase to upstream release 18.0
|
||||||
|
|
||||||
|
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 16.4-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild
|
||||||
|
|
||||||
|
* Wed Aug 21 2024 Ales Nezbeda <anezbeda@redhat.com> - 16.4-1
|
||||||
|
- Update to 16.4
|
||||||
|
|
||||||
|
* Tue Jul 30 2024 Ales Nezbeda <anezbeda@redhat.com> - 16.3-5
|
||||||
|
- Disable openssl ENGINE_API
|
||||||
|
- Fedora change: https://fedoraproject.org/wiki/Changes/OpensslDeprecateEngine
|
||||||
|
- BZ: 2300910
|
||||||
|
|
||||||
|
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 16.3-4
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild
|
||||||
|
|
||||||
|
* Tue Jun 18 2024 Filip Janus <fjanus@redhat.com> - 16.3-3
|
||||||
|
- Move errcodes.h to usr/include/pgsql/server/utils/
|
||||||
|
- to be consistent with upstream
|
||||||
|
|
||||||
|
* Tue Jun 18 2024 Filip Janus <fjanus@redhat.com> - 16.3-2
|
||||||
|
- Ship errcodes.h in -devel package (kea package requires errorcodes)
|
||||||
|
|
||||||
|
* Mon May 27 2024 Ales Nezbeda <anezbeda@redhat.com> - 16.3-1
|
||||||
|
- Update to 16.3
|
||||||
|
- Remove backported OpenSSL fix
|
||||||
|
|
||||||
|
* Tue Feb 20 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 16.1-4
|
||||||
|
- Backport OpenSSL 3.2 fix from upstream master
|
||||||
|
|
||||||
|
* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 16.1-3
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
|
||||||
|
|
||||||
|
* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 16.1-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
|
||||||
|
|
||||||
|
* Tue Dec 5 2023 Filip Janus <fjanus@redhat.com> - 16.1-1
|
||||||
|
- Update to 16.1
|
||||||
|
- Build with ICU by default - new upstream feature
|
||||||
|
|
||||||
|
* Wed Aug 2 2023 Filip Janus <fjanus@redhat.com> - 15.3-1
|
||||||
|
- Update to the latest upstream version
|
||||||
|
|
||||||
|
* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 15.0-4
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
|
||||||
|
|
||||||
|
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 15.0-3
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
|
||||||
|
|
||||||
|
* Mon Dec 05 2022 Filip Janus <fjansu@redhat.com> - 15.0-2
|
||||||
|
- Revert versioning patch
|
||||||
|
- There are no new symbols in libpq 15
|
||||||
|
|
||||||
|
* Tue Sep 27 2022 Ondrej Sloup <osloup@redhat.com> - 15.0-1
|
||||||
|
- Update to v15
|
||||||
|
- Update patches
|
||||||
|
- Resolves: https://fedoraproject.org/wiki/Changes/PostgreSQL_15
|
||||||
|
|
||||||
|
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 14.3-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
|
||||||
|
|
||||||
|
* Tue Jun 14 2022 Filip Januš <fjanus@redhat.com> - 14.3-1
|
||||||
|
- Update to 14.3
|
||||||
|
|
||||||
|
* Tue Feb 22 2022 Filip Januš <fjanus@redhat.com> - 14.2-1
|
||||||
|
- Update to 14.2
|
||||||
|
|
||||||
|
* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 14.1-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
|
||||||
|
|
||||||
|
* Mon Jan 03 2022 Filip Januš <fjanus@redhat.com> - 14.1-1
|
||||||
|
- Update to v14
|
||||||
|
- Resolves: https://fedoraproject.org/wiki/Changes/PostgreSQL_14
|
||||||
|
|
||||||
|
* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 13.4-2
|
||||||
|
- Rebuilt with OpenSSL 3.0.0
|
||||||
|
|
||||||
|
* Thu Aug 12 2021 Filip Januš <fjanus@rehdat.com> - 13.4-1
|
||||||
|
- Update to 13.4
|
||||||
|
|
||||||
|
* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 13.3-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
|
||||||
|
|
||||||
|
* Mon May 17 2021 Filip Januš <fjanus@redhat.com> - 13.3-1
|
||||||
|
- Update to 13.3
|
||||||
|
|
||||||
|
* Tue Feb 16 2021 Honza Horak <hhorak@redhat.com> - 13.2-1
|
||||||
|
- Update to 13.2
|
||||||
|
|
||||||
|
* Mon Feb 08 2021 Patrik Novotný <panovotn@redhat.com> - 13.1-3
|
||||||
|
- Fix symbol versioning
|
||||||
|
|
||||||
|
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 13.1-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
|
||||||
|
|
||||||
|
* Mon Nov 16 2020 Patrik Novotný <panovotn@redhat.com> - 13.1-1
|
||||||
|
- Rebase to upstream release 13.1
|
||||||
|
|
||||||
|
* Mon Nov 02 2020 Patrik Novotný <panovotn@redhat.com> - 13.0-2
|
||||||
|
- Rebuild for symbol versioning fix
|
||||||
|
|
||||||
|
* Wed Oct 14 2020 Patrik Novotný <panovotn@redhat.com> - 13.0-1
|
||||||
|
- Rebase to upstream release 13.0
|
||||||
|
|
||||||
|
* Tue Aug 18 2020 Patrik Novotný <panovotn@redhat.com> - 12.4-1
|
||||||
|
- Rebase to upstream release 12.4
|
||||||
|
|
||||||
|
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 12.3-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
|
||||||
|
|
||||||
|
* Mon May 18 2020 Patrik Novotný <panovotn@redhat.com> - 12.3-1
|
||||||
|
- Rebase to upstream release 12.3
|
||||||
|
|
||||||
|
* Mon Feb 17 2020 Patrik Novotný <panovotn@redhat.com> - 12.2-1
|
||||||
|
- Rebase to upstream release 12.2
|
||||||
|
|
||||||
|
* Tue Feb 04 2020 Patrik Novotný <panovotn@redhat.com> - 12.1-1
|
||||||
|
- Rebase to upstream release 12.1
|
||||||
|
|
||||||
|
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 11.6-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
|
||||||
|
|
||||||
|
* Mon Nov 25 2019 Patrik Novotný <panovotn@redhat.com> - 11.6-1
|
||||||
|
- Rebase to upstream version 11.6
|
||||||
|
|
||||||
|
* Wed Aug 07 2019 Petr Kubat <pkubat@redhat.com> - 11.5-1
|
||||||
|
- New upstream version 11.5
|
||||||
|
|
||||||
|
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 11.4-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
|
||||||
|
|
||||||
|
* Tue Jul 09 2019 Petr Kubat <pkubat@redhat.com> - 11.4-1
|
||||||
|
- New upstream version 11.4
|
||||||
|
|
||||||
* Fri May 10 2019 Pavel Raiskup <praiskup@redhat.com> - 11.3-2
|
* Fri May 10 2019 Pavel Raiskup <praiskup@redhat.com> - 11.3-2
|
||||||
- obsolete anything < %%majorversion+1
|
- obsolete anything < %%majorversion+1
|
||||||
|
|
||||||
|
|
|
||||||
4
sources
Normal file → Executable file
4
sources
Normal file → Executable file
|
|
@ -1,2 +1,2 @@
|
||||||
SHA512 (postgresql-11.3.tar.bz2) = 03269bb88f44f3a81d5e3a8ca2fe59f63f784436840f08870b2e539755629cbde8ac288e0bb4472ee93294a88b37b814ddff48444254c1a3f7a10b4bb64f7133
|
SHA512 (postgresql-18beta1.tar.bz2) = 881a3442552d282fbe03ea22fab4bdd818cb901f8410485f19867ff64dc577d50cd9f7bb898828aec9783ff7e482798ffae63ff1cbfd19c4e1c64fed9e0a2daf
|
||||||
SHA512 (postgresql-11.3.tar.bz2.sha256) = ac1cd1e2c39c11fb48b2326c804f681fafad32bfa81e4954766916ce3879df8a792b2ff6067c11215b4b00b8ea176ead13a2be50e0ae6f8e11bda1ff7d264c07
|
SHA512 (postgresql-18beta1.tar.bz2.sha256) = fc8fb34666d899dde9bb3c5886dec3ea87241913d47a464f960d1d1b4b105c8b007a36dac6f62ae2c45b9d254fe3c1b1a32fa42693af43d8561a192fee4340d9
|
||||||
|
|
|
||||||
Loading…
Add table
Add a link
Reference in a new issue